#ifndef __OPENV_H_
#define __OPENV_H_
#include <string>

#ifdef UNICODE 
using TString = std::wstring;
#else
using TString = std::string;
#endif

class opEnv
{
public:
	static void setInstance(void* instance);
	static void* getInstance();
	static TString getBasePath();
	static TString getOpName();
	static int m_showErrorMsg;
private:
	static void* m_instance;
	static TString m_basePath;
	static TString m_opName;

};
#endif